Board index » delphi » ADO/CGI/MSSQL Causes Internal Server Error 500

ADO/CGI/MSSQL Causes Internal Server Error 500

Hello!

I have had an ongoing problem and already tried all the fixes suggested
on-line that I've located.  It's still not working!

When I run a CGI executable with no ADO connection or table the same
code runs fine.  With an ADO connection or table, the server returns the
following error message:

Internal Server Error 500
Exception: EIntfCastError
Message: Interface not supported

On my development machine, I'm running:

D5 Enterpise with update
ADO updated
BDE updated

On the NT server web server I'm running:

NT 4.0 SP6
MDAC 2.5
ADO 2.5
SQL Server 6.5

I'm calling the following code in the TWebModule BeforeDispatch:
        OleInitialize(nil);
        CoInitialize(NIL);
And
       CoUninitialize();
in the TWebModule AfterDispatch:

I also tried using
        CoInitializeEx(NIL,COINIT_MULTITHREADED);
in the BeforeDispatch instead and it didn't make a difference.

Any help or ideas would be extremely welcome!!!!

Thank you!

Liz Hatch
SoftMove Corporation

 

Re:ADO/CGI/MSSQL Causes Internal Server Error 500


Quote
>SQL Server 6.5

Have you installed all the 6.5 service packs?   You need the last service pack
for SQL 6.5 to get ADO support

--
Brian Bushay (TeamB)
Bbus...@NMPLS.com

Re:ADO/CGI/MSSQL Causes Internal Server Error 500


Hi Brian,

Thank you very much for the concise answer!  I ended up spending $225 for
developer assist because I had listed in the other groups, even internet,
and hadn't gotten an answer that worked.  They still hadn't gotten back to
me.  When I got your e-mail, I called my ISP and, sure enough, they
confirmed that they hadn't installed the service packs.  Unfortunately,
they're not planning to until August/September, so we're forced to look for
another ISP pronto.

At least this time around we know exactly what to look for!

Liz
SoftMove Corp

Quote
Brian Bushay TeamB wrote in message <3981e715.38923703@floyd>...

>>SQL Server 6.5

>Have you installed all the 6.5 service packs?   You need the last service
pack
>for SQL 6.5 to get ADO support

>--
>Brian Bushay (TeamB)
>Bbus...@NMPLS.com

Other Threads